Search orders
curl --request GET \
--url https://api.lumonol.co.uk/ankra/search-orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumonol.co.uk/ankra/search-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/search-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_number": 123,
"player_username": "<string>",
"player_roblox_id": 123,
"items": "<unknown>",
"status": "<string>",
"submitted_by_username": "<string>",
"prepared_by_username": "<string>",
"source": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Orders
Search orders
A player’s orders (player).
GET
/
search-orders
Search orders
curl --request GET \
--url https://api.lumonol.co.uk/ankra/search-orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumonol.co.uk/ankra/search-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/search-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_number": 123,
"player_username": "<string>",
"player_roblox_id": 123,
"items": "<unknown>",
"status": "<string>",
"submitted_by_username": "<string>",
"prepared_by_username": "<string>",
"source": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Authorizations
A workspace API key from Settings › Developer.
Query Parameters
The workspace: the 24-character ID in its Ankra address, or its UUID.
Matches the player username.

